Skip to content
Back to top
View this page

# SpectralFrame

class gwcs.coordinate_frames.SpectralFrame(axes_order=(0,), reference_frame=None, unit=None, axes_names=None, name=None, axis_physical_types=None)

  Bases: `CoordinateFrame`

  Represents Spectral Frame

  Parameters:
    axes_order tuple or int

      A dimension in the input data that corresponds to this axis.

    reference_frame astropy.coordinates.builtin_frames

      Reference frame (usually used with output_frame to convert to world coordinate objects).

    unit str or units.Unit instance

      Spectral unit.

    axes_names str

      Spectral axis name.

    name str

      Name for this frame.

  Attributes Summary

  `axes_names` | Names of axes in the frame.
  `axes_order` | A tuple of indices which map inputs to axes.
  `axes_type` | Type of this frame : 'SPATIAL', 'SPECTRAL', 'TIME'.
  `axis_physical_types` | The axis physical types for this frame.
  `name` | A custom name of this frame.
  `naxes` | The number of axes in this frame.
  `reference_frame` | Reference frame, used to convert to world coordinate objects.
  `serialized_classes` | This property is used by the low level WCS API in Astropy.
  `unit` | The unit of this frame.
  `world_axis_object_classes` | The APE 14 object classes for this frame.
  `world_axis_object_components` | The APE 14 object components for this frame.

  Methods Summary

  `add_units`(arrays) | Add units to the arrays
  `from_high_level_coordinates`(*high_level_coords) | Convert high level coordinate objects to "values" as described by this frame.
  `remove_units`(arrays) | Remove units from the input arrays
  `to_high_level_coordinates`(*values) | Convert "values" to high level coordinate objects described by this frame.

  Attributes Documentation

  axes_names

    Names of axes in the frame.

  axes_order

    A tuple of indices which map inputs to axes.

  axes_type

    Type of this frame : ‘SPATIAL’, ‘SPECTRAL’, ‘TIME’.

  axis_physical_types

    The axis physical types for this frame.

    These physical types are the types in frame order, not transform order.

  name

    A custom name of this frame.

  naxes

    The number of axes in this frame.

  reference_frame

    Reference frame, used to convert to world coordinate objects.

  serialized_classes

    This property is used by the low level WCS API in Astropy.

    By providing it we can duck type as a low level WCS object.

  unit

    The unit of this frame.

  world_axis_object_classes
  world_axis_object_components

    The APE 14 object components for this frame.

    See also

    `astropy.wcs.wcsapi.BaseLowLevelWCS.world_axis_object_components`

  Methods Documentation

  add_units(arrays: Quantity | ndarray | list[float]) → tuple[Quantity, ...] | Quantity

    Add units to the arrays

  from_high_level_coordinates(*high_level_coords)

    Convert high level coordinate objects to “values” as described by this frame.

    “values” are the coordinates in array or scalar form, and high level objects are things such as `SkyCoord` or `Quantity`. See wcsapi for details.

    Parameters:
      high_level_coordinates

        One (or more) high level object describing the coordinate.

    Returns:
      values `numbers.Number` or `numpy.ndarray`

        `naxis` number of coordinates as scalars or arrays.

  remove_units(arrays: Quantity | ndarray | list[float]) → tuple[ndarray, ...]

    Remove units from the input arrays

  to_high_level_coordinates(*values)

    Convert “values” to high level coordinate objects described by this frame.

    “values” are the coordinates in array or scalar form, and high level objects are things such as `SkyCoord` or `Quantity`. See wcsapi for details.

    Parameters:
      values `numbers.Number`, `numpy.ndarray`, or `Quantity`

        `naxis` number of coordinates as scalars or arrays.

    Returns:
      high_level_coordinates

        One (or more) high level object describing the coordinate.